@echo off
REM
REM dzo.bat, copyright (C) 2007-2009 AB Grund-Data
REM
REM dzo is free software; you can redistribute it and/or modify it under the
REM terms of version 2.1 of the GNU Lesser General Public License as published by
REM the Free Software Foundation.
REM
REM dzo is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
REM even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
REM See the GNU Lesser General Public License for more details at gnu.org.
REM
set "DZO_VERSION=3.1.0"
set "DZO_JAR="
if "%JAVA_HOME%" == "" goto missJava
set PATH_JAVA=%JAVA_HOME%\bin\
goto dzoPath

:missJava
set PATH_JAVA=

:dzoPath
set SCRIPT_DIR=%~dp0
set "DZO_JAR=%SCRIPT_DIR%dzo-%DZO_VERSION%.jar"
if exist %DZO_JAR% set "DZO_CLASSPATH=DZO_CLASSPATH;%DZO_JAR%"

set "DZO_JAR=%SCRIPT_DIR%lib/dzo-%DZO_VERSION%.jar"
if exist %DZO_JAR% set "DZO_CLASSPATH=DZO_CLASSPATH;%DZO_JAR%"

:execute
%PATH_JAVA%java -version >nul: 2>nul:
if not %ERRORLEVEL% == 0 goto errorJava

%PATH_JAVA%java %DZO_PROPERTY% -cp %DZO_CLASSPATH% se.grunddata.dzo.Dzo %*
if not %ERRORLEVEL% == 0 goto errorDzo
goto end

:errorJava
set "ERRORTEXT=Cannot find program java, dzo needs a JRE"
goto error

:errorDzp
set "ERRORTEXT=Error when executing dzo"
goto error

:error
echo %0
echo %ERRORTEXT%
echo The following environmentvariables can be set:
echo JAVA_HOME can be set to the home-directory of the JRE.
echo If JAVA_HOME is not set java must exists in PATH.
echo DZO_CLASSPATH is classpath to jdbc-drivers and dzo-X.jar
echo .
echo set DZO_PROPERTY="-Dproperty1=value1 -Dproperty2=value2 ..."
echo set DZO_CLASSPATH=classpath
echo 

:end
